Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.plugins.tomcat
[Java] Class ParentDelegatingClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.grails.plugins.tomcat.ParentDelegatingClassLoader

    public class ParentDelegatingClassLoader
    extends java.lang.ClassLoader

A class loader that searches the parent

Authors:
  Graeme Rocher

Since:
  2.0

Constructor Summary
`protected ParentDelegatingClassLoader(java.lang.ClassLoader parent)`

Method Summary
`protected java.lang.Class` | `findClass(java.lang.String className)`

Methods inherited from class java.lang.ClassLoader
java.lang.ClassLoader#loadClass(java.lang.String), java.lang.ClassLoader#getSystemClassLoader(), java.lang.ClassLoader#getResourceAsStream(java.lang.String), java.lang.ClassLoader#getResource(java.lang.String), java.lang.ClassLoader#getSystemResourceAsStream(java.lang.String), java.lang.ClassLoader#getSystemResource(java.lang.String), java.lang.ClassLoader#getResources(java.lang.String), java.lang.ClassLoader#getSystemResources(java.lang.String), java.lang.ClassLoader#getParent(), java.lang.ClassLoader#setDefaultAssertionStatus(boolean), java.lang.ClassLoader#setPackageAssertionStatus(java.lang.String, boolean), java.lang.ClassLoader#setClassAssertionStatus(java.lang.String, boolean), java.lang.ClassLoader#clearAssertionStatus(), java.lang.ClassLoader#wait(), java.lang.ClassLoader#wait(long), java.lang.ClassLoader#wait(long, int), java.lang.ClassLoader#equals(java.lang.Object), java.lang.ClassLoader#toString(), java.lang.ClassLoader#hashCode(), java.lang.ClassLoader#getClass(), java.lang.ClassLoader#notify(), java.lang.ClassLoader#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ParentDelegatingClassLoader

    protected ParentDelegatingClassLoader(java.lang.ClassLoader parent)

Method Detail

### findClass

    @Override
    protected java.lang.Class findClass(java.lang.String className)

Groovy Documentation